html {
    background: url(TZ_static_bg.svg) no-repeat fixed;
    background-size: cover;
    font-family: "SpaceMono-Regular";
}

@font-face {
    font-family: 'SpaceMono-Regular';
    src: url("font/SpaceMono-Regular.ttf");
    font-weight: normal;
}

body {
    color: whitesmoke;
}

h1, h2, h3, h4 {
    font-size: 1.3rem;
}

p {
    font-size: 0.8rem;
}

@media (min-width: 1600px) { /* Desktop */
    header #hamburgerMenu, header .icon, header ul {
        display: none;
    }
    header nav {
        gap: 10px;
        display: flex;
        flex-wrap: wrap;
        width: fit-content;
        justify-content: flex-end;
        white-space: nowrap;
        height: fit-content;
        align-self: center;
        margin-left: auto;
    }
    header h2{
        align-self: center;
    }
    .bookModalholder {
        display: flex;
        margin-right: 4%;
    }
    .bookModal img {
        width: 20vw; 
        height:auto;
    }
    .bookModalDescription {
        height: 80vh;
        overflow-y: auto;
    }
    .aboutSections {
        display: grid;
        grid-template-columns: auto auto;
    }
    .speciesBoxHolder {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
        margin: 10px;
    }
    .imageBoxes {
        display: block;
        background-color: rgba(255, 255, 255, 0.24);
    }
    .timelineSideBar, .compendiumSearchBar {
        top: auto;
        position: fixed;
        width: 220px;
        background-color: rgba(0, 110, 255, 0.192);
        border: 3px solid rgb(0, 110, 255);
    }
    .timelineContents {
        overflow-y: auto;
        height: 65vh;
        padding-left: 10px;
        margin-left: 270px;
        margin-right: 30px;
    }
    .timelineSideBar .filterButton {
        margin-bottom: 10px;
        margin-left: 5px;
        margin-right: 5px;
        width: 90%;
    }
    .timelineSideBar button {
        display: block;
        width: 90%;
        margin: 10px;
        height: 30px;
    }
    .timelineSideBar input {
        display: block;
        width: 85%;
        margin: 10px;
        height: 20px;
    }
    .compendiumContents {
        overflow-y: scroll;
        overflow-x: none;
        margin-left: 13vw;
        width: 80vw;
        height: 70vh;
    }
    .compendiumItem {
        flex: 0 0 100%;
        text-decoration: none;
        color: whitesmoke;
        text-align: center;
        justify-content: center;
        border: 3px solid rgb(0, 110, 255);
        background:rgba(17, 106, 189, 0.18);
        max-width: 11vw;
        min-height: 28vh;
        word-break: normal;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }
    .introBox {
        background: url('website1-5dithered.png') center no-repeat; 
        height: 65vh; 
        color: whitesmoke; 
        font-size: 18px;
        padding-left: 5px; 
        justify-content: left; 
        text-align: left;
    }
    .introBox p, .introBox h2 {
        margin-left: 10%;
        margin-right: 10%;
        width: 50%;
    }
}

@media (max-width: 1600px) { /* Mobile */
    header h2, header .icon{
        font-size: 18px;
    }
    header nav{
        display: none;
    }
    header #hamburgerMenu {
        position: absolute;
        top: 60px;
        right: 10px;
        text-align: right;
    }
    header #hamburgerMenu ul {
        list-style-type: none;
    }
    header #hamburgerMenu li {
        margin-bottom: 20px;
    }
    header #hamburgerMenu a {
        font-size: 12px;
    }
    header .icon {
        align-self: center;
        margin-left: auto;
    }
    header a {
        padding: 5px;
        color: whitesmoke;
        background-color: rgba(14, 59, 117, 0.938);
        border: 2px solid rgb(0, 110, 255);
        text-decoration: none;
    }
    .bookModalholder {
        display: block;
    }
    .bookModal img {
        width: 40vw; 
        height: auto;
    }
    .bookModalDescription {
        height: fit-content;
        overflow-y: auto;
    }
    .aboutSections {
        display: grid;
        grid-template-columns: auto;
    }
    .speciesBoxHolder {
        display: block;
        gap: 20px;
        margin: 10px;
    }
    .imageBoxes {
        display: none;
    }
    .timelineSideBar, .compendiumSearchBar {
        z-index: 90;
        top: 7%;
        position: sticky;
        width: auto;
        background-color: rgb(7, 39, 82);
        border: 3px solid rgb(0, 110, 255);
        display: block;
    }
    .timelineContents {
        overflow-y: auto;
        height: auto;
    }
    .timelineSideBar .filterButton {
        width: fit-content;
    }
    .timelineSideBar .filterButtonHolder {
        display: flex;
    }
    .timelineSideBar button {
        display: block;
        margin: 5px;
        height: 30px;
    }
    .compendiumSearchBar .filterButton {
        height: 25px;
        margin: 1%;
    }
    .timelineSideBar input, .compendiumSearchBar input {
        width: 80%;
        margin: 10px;
        height: 20px;
    }
    .compendiumContents {
        overflow-y: scroll;
        overflow-x: none;
        height: auto;
    }
    .compendiumItem {
        flex: 0 0 100%;
        text-decoration: none;
        color: whitesmoke;
        text-align: center;
        justify-content: center;
        border: 3px solid rgb(0, 110, 255);
        background:rgba(17, 106, 189, 0.18);
        max-width: 30vw;
        min-height: 22vh;
        word-break: normal;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }
    .introBox {
        background: url('website1-5dithered.png') no-repeat; 
        background-position: right 32% bottom 95%;
        height: 65vh; 
        color: whitesmoke; 
        font-size: 18px;
        padding-left: 5px; 
        justify-content: left; 
        text-align: left;
    }
    .introBox p{
        width: 60%;
    }
}

header {
    display: flex;
    z-index: 998;
    top: 0;
    position: sticky;
    background: url("TZ_banner.png");
    text-shadow: 2px 3px 3px rgba(0, 217, 255, 0.884);
    padding-left: 2%;
    padding-right: 2%;
    border-bottom: 2px solid rgba(0, 200, 255, 0.3);
    backdrop-filter: blur(6px);
    height: 7vh;
}

header #hamburgerMenu {
    display: none;
}

header button, .anomalyArticle button, .timelineSideBar button, .compendiumSearchBar button, .triangleContent button{
    color: whitesmoke;
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(0, 110, 255);
    border-radius: 5px;
    corner-shape: bevel;
    font-size: clamp(0.5rem, 1vw, 1rem);
    transition: all 0.2s ease;
    font-family: "SpaceMono-Regular";
}

header p {
    display: block;
}

header .p1{
    display: block;
}

header .p2{
    display: none;
}

header h2:hover .p1{
    display: none;
}

header h2:hover .p2{
    display: block;
    color: orange;
    text-shadow: 5px 5px 3px rgba(255, 166, 0, 0.541);
}

header #activePage {
    pointer-events: none;
    color: orange;
    border: 2px solid orange;
}

.mainSection {
    display: inline-block;
    width: 100%;
}

.mainSection article p {
    padding-left: 5px;
}

footer {
    width: 95%;
    text-align: center;
    background-color: rgba(0, 110, 255, 0.192);
    border-top: 2px solid rgba(0, 200, 255, 0.3);
}

button:hover {
    cursor: pointer;
    background-color: rgba(0, 110, 255, 0.753);
}

article {
    background-color: rgba(0, 0, 0, 0.548);
    border: 5px solid rgb(0, 110, 255);
    border-left: 20px solid rgba(0, 110, 255, 0.192);
}

@keyframes bgScroll {
    from {
        background-position: 0 0;
    }
    to {
        background-position: 0 5821px;
    }
}

.grid {
    opacity: 0.02;
    background: url("Grid_pattern.svg");
    background-size: cover;
    background-repeat: repeat;
    animation: bgScroll 155s linear infinite;
}

.grid2 {
    opacity: 0.3;
    background: url("TZ_bg_map.svg");
    background-size: cover;
    background-repeat: repeat;
    animation: bgScroll 155s linear infinite;
}

.grid, .grid2 {
    top: 0;
    left: 0;
    position: fixed;
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    z-index: -1;
}

.anomalyArticle, article, footer, .faction2Sides, .bookCardHorizontal {
    margin: 1%;
    padding: 1%;
    backdrop-filter: blur(6px);
}

.warningText {
    background-color: rgba(255, 0, 0, 0.582);
    border: 2px solid rgb(255, 46, 46);
    padding: 2px;
    font-size: 12px;
    text-align: center;
}

.c2-Article {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.anomalyArticle {
    display: grid;
    width: 100%;
    box-shadow: 5px 5px 5px  rgba(255, 166, 0, 0.541);
    background-color: rgba(0, 0, 0, 0.548);
    border: 5px solid rgba(255, 115, 0, 0.356);
    border-left: 20px solid rgba(255, 187, 0, 0.192);
}

.anomalyArticle h2{
    text-shadow: 5px 5px 5px  rgba(255, 166, 0, 0.541);
}

.believe {
    color: orange;
    text-shadow: 5px 5px 3px rgba(255, 166, 0, 0.541);
}

.scrollNotice {
    overflow: hidden;
    width: 100%;
}

.noticeHolder {
    display: flex;
    flex-wrap: nowrap;
    animation: scrollNoticeAnim 30s linear infinite;
    letter-spacing: 2px;
}

.noticeHolder span {
    display: grid;
    flex-shrink: 0;
    padding-right: 50px;
    color: rgba(255, 0, 0, 0.89);
}

@keyframes scrollNoticeAnim {
    from { transform: translateX(0); }
    to { transform: translateX(-200%); }
}

.leftCFArticle h2, .rightHFArticle h2 {
    margin: 10px;
    border-bottom: 3px solid whitesmoke;
    letter-spacing: 5px;
    text-align: center;
}

.leftCFArticle, .rightHFArticle {
    text-align: justify;
    margin-top: 10px;
    border-left: 3px solid whitesmoke;
    border-right: 3px solid whitesmoke;
    backdrop-filter: blur(6px);
    padding: 25px;
}

.leftCFArticle {
    background-color: rgba(0, 42, 255, 0.4);
    width: 100%;
}

.rightHFArticle {
    background-color: rgba(255, 0, 0,  0.4);
}

.speciesBox {
    display: block;
    padding: 20px;
    min-height: 20vh;
}

.bookCardHorizontal{
    min-width: 0;
    max-width: 100%;
    background-color: rgba(0, 0, 0, 0.452);
}

.bookCardHorizontal h2{
    background-color: rgba(0, 153, 255, 0.432);
    padding-left: 8px;
}

.cardRow {
    display: flex;
    gap: 20px;
    flex-wrap: nowrap;
    overflow-x: auto;
    padding-bottom: 15px;
}

.bookCard, .bookCardEmpty {
    flex: 0 0 auto;
    position: relative;
    display: block;
    width: 16rem;
    height: 23rem;
    border-radius: 6px;
}

.bookCardEmpty {
    text-align: center;
    align-content: center;
    background-color: rgba(112, 112, 112, 0.116);
    border: 1px solid whitesmoke;
}

.bookCard img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 
        opacity 0.3s ease,
        transform 0.4s ease;
}

.bookCardCover {
    opacity: 1;
}

.bookCardRear {
    opacity: 0;
}

.bookCard:hover .bookCardCover {
    opacity: 0;
}

.bookCard:hover .bookCardRear {
    opacity: 1;
    cursor: pointer;
}

.bookOverlay {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    padding: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.bookModal {
    z-index: 992;
    position: fixed;
    display: none;
    left: 0;
    top: 0;
    height: 100vh;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.726);
    backdrop-filter: blur(6px);
}

.bookModal a {
    text-decoration: none;
    color: orange;
    padding: 5px;
    border: 2px solid orange;
}

.bookModalCloseButton {
    position: absolute;
    top: 10vh;
    right: 15px;
    font-size: 3rem;
    z-index: 999;
}

.bookModalCloseButton:hover {
    cursor: pointer;
}

.bookModalholder {
    padding-top: 25px; 
    padding-left: 25px; 
    margin-top: 7vh;
}

#cataclysmPic {
    background: url('ships render dithered3 v2.png') no-repeat; 
    background-size: cover;
}

.mainTimeline {
    margin: 1%;
}

.timelineCategories {
    background-color: rgba(31, 100, 160, 0.432);
    padding-left: 1%;
    padding-right: 1%;
    height: 15%;
}

.timelineSideBar, .compendiumSearchBar {
    color: whitesmoke;
    text-align: center;
}

.filterButton.active {
    color: orange;
    border: 3px solid orange;
}

.timelineItem {
    color: orange;
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(0, 110, 255);
    margin: 10px;
    padding: 5px;
    transition: 
        border 0.2s ease,
        transform 0.4s ease;
}

.timelineItemINV {
    color: red;
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(94, 17, 17);
    margin: 10px;
    padding: 5px;
    transition: 
        border 0.2s ease,
        transform 0.4s ease;
}

.timelineItemINV a {
    pointer-events: none;
    text-decoration: none;
    color: red;
}

.timelineItem a {
    text-decoration: none;
    color: orange;
}

.timelineItem:hover {
    border: 3px solid orange;
    transform: scale(1.01);
}

.compendiumCategory {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.compendiumItem:hover {
    transform: scale(1.01);
    color: rgb(0, 110, 255);
    border: 3px solid rgb(1, 43, 97);
}

.factionfilterButton{
    font-size: 3rem;
    color: whitesmoke;
    width: 20%;
    height: 75vh;
    margin: 15px;
    border-radius: 5px;
    corner-shape: bevel;
    font-size: clamp(0.5rem, 1vw, 1rem);
    transition: all 0.2s ease;
    font-family: "SpaceMono-Regular";
}

.factionfilterButton:hover {
    cursor: pointer;
}

.factionContent {
    display: none;
    height: 35vh;
    overflow-y: auto;
}

.factionContent button {
    height: 15vh;
    width: 18vw;
    overflow-wrap: break-word;
    color: whitesmoke;
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(0, 110, 255);
    border-radius: 5px;
    corner-shape: bevel;
    font-size: clamp(0.5rem, 1vw, 1rem);
    transition: all 0.2s ease;
    font-family: "SpaceMono-Regular";
    margin: 1%;
}

.factionfilterButton.active, .blogControls button:hover, .compendiumSearchBar button:hover, .factionContent button:hover {
    color: orange;
    border: 3px solid orange;
}

.factionCard button:active ~ .factionContent {
    position: absolute;
    display: flex;
    width: 90vw;
    height: fit-content;
    left: 0;
}

.blogControls {
    width: auto;
    padding: 10px;
    position: sticky;
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(0, 110, 255);
    margin: 5px;
}

.blogControls button, .blogControls input, .blogControls select {
    color: whitesmoke;
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(0, 110, 255);
    border-radius: 5px;
    corner-shape: bevel;
    font-size: clamp(0.5rem, 1vw, 1rem);
    transition: all 0.2s ease;
    font-family: "SpaceMono-Regular";
}

.blogControls input {
    width: 95%;
}

.blogContainer {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

#pending {
    pointer-events: none;
    border: 3px solid rgba(255, 0, 0, 0.856);
}

.sideBarRight {
    background-color: rgba(0, 110, 255, 0.192);
    border: 3px solid rgb(0, 110, 255);
    position: absolute;
    width: fit-content;
    height: fit-content;
    padding: 10px;
}

.blogPost p{
    white-space: pre-line;
}

#newestArticle {
    border: 3px solid orange;
}

